$height: calc(
  1rem * var(--line-height) + var(--form-element-spacing-vertical) * 2 + var(--border-width) * 2
);

$icon-width: calc(2 * var(--spacing));

.secret {
  --height: #{$height};
  position: relative;
  height: var(--height);
}

.input {
  padding-right: var(--height) !important;
}

.input[type="password"] ~ .button {
  color: var(--muted-color);
}

.button {
  background: 0;
  outline: 0;
  border: 0;
  box-shadow: none;
  position: absolute;
  height: var(--height);
  width: var(--height);
  right: 0;
  top: 0;
  padding: 0;
  > :global(.icon) {
    vertical-align: middle;
  }
}
